<<

# Bugzilla::Mailer

- NAME
- METHODS

# NAME

Bugzilla::Mailer - Provides methods for sending email

# METHODS

`generate_email`

  Generates a multi-part email message, using the supplied list of templates.

`MessageToMTA`

  Sends the passed message to the mail transfer agent.

  The actual behaviour depends on a number of factors: if called from within a database transaction, the message will be staged and sent when the transaction is committed. If email queueing is enabled, the message will be sent to TheSchwartz job queue where it will be processed by the jobqueue daemon, else the message is sent immediately.

`build_thread_marker`

  Builds header suitable for use as a threading marker in email notifications.

`send_staged_mail`

  Sends all staged messages -- called after a database transaction is committed.

<<